Added symlinks for winhelp.
[wine/multimedia.git] / tools / wineinstall
blob1bbf306e25a933a7b3a371d1ce5ff9e28cbed3fc
1 #!/bin/bash
2 # WINE Installation script
3 # Can do almost everything from compiling to configuring...
5 # Copyright 1999 Ove Kåven
7 # This library is free software; you can redistribute it and/or
8 # modify it under the terms of the GNU Lesser General Public
9 # License as published by the Free Software Foundation; either
10 # version 2.1 of the License, or (at your option) any later version.
12 # This library is distributed in the hope that it will be useful,
13 # but WITHOUT ANY WARRANTY; without even the implied warranty of
14 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
15 # Lesser General Public License for more details.
17 # You should have received a copy of the GNU Lesser General Public
18 # License along with this library; if not, write to the Free Software
19 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
21 # History:
22 # Mar 31 1999 - Ove Kåven
23 # First version
24 # Dec 9 1999 - Ove Kåven
25 # require Xpm
26 # Feb 25 2000 - Ove Kåven
27 # auto-add /usr/local/lib to /etc/ld.so.conf
28 # Mar 2 2000 - Ove Kåven
29 # source rather than grep config.cache
30 # use sourced config.cache to start ldconfig
31 # reconfigure if config.cache doesn't exist
32 # Mar 30 2000 - Ove Kåven
33 # autoconfigure no-windows installs
34 # do not install registry on real-windows installs
35 # some support for binary package installs
36 # set and tell user about LD_LIBRARY_PATH if necessary
37 # set EXTRA_LD_LIBRARY_PATH in wine.conf
38 # Apr 9 2000 - Ove Kåven
39 # make root's registry global (system-default)
40 # May 9 2000 - Ove Kåven
41 # use ttydrv when running regapi, so we don't have to run from X
42 # change debugger path in registry
43 # Oct 29 2000 - Ove Kåven
44 # added --enable-opengl to default confargs
45 # added conf_question, conf_yesno_answer, and conf_string_answer functions
46 # added DEFCAT variable
47 # (later that day...)
48 # added conf_reset_question function
49 # added file existence checks to the registry copying
50 # fixed problem with no-windows directory creation
51 # some text reformatting from Eric Maryniak
52 # Jan 5 2000 - Chris Morgan
53 # use default config file in /documentation/samples/config
54 # replace .winerc with ~/.wine/config in printed text
55 # added user question to convert .winerc file(if exists) or use the default
56 # config file
57 # add conf_question to allow root to install a local config file and
58 # registry
59 # Jan 12 2000 - Chris Morgan
60 # distinguish between creating local and global config files
61 # display a message about the status of global config files
62 # misc cleanups and reordering of questions
63 # added check to see if wine is installed when we are running as a normal
64 # user and print a message if wine cannot be found
65 # Feb 16 2002 - Adam D. Moss
66 # Use config.status instead of config.cache to check whether we're
67 # configured/compiled and to recreate the configuration
68 # Feb 20 2002 - Adam D. Moss
69 # Partially revert previous changes, force configure to write an
70 # old-style config.cache
71 # Mar 27 2002 - Chris Morgan
72 # prevent the user from running wineinstall as root
73 # add script commands so we su root for 'make install' and other commands
74 # that require root access
75 # add text to tell the user we need to run stuff as root so they don't
76 # think we are trying to pull something funny
77 # Apr 14 2002 - Dustin Navea
78 # Fix sed command when finding real-windows registry so it actually
79 # accesses a file (~/.wine/config) instead of null ($CONF?!)
80 # Added search for clean-install (not upgrade) Win2k registry
81 # (next day, after some sleep)
82 # Fix sed string when finding real-windows registry to actually find
83 # windows partition name in [Drive C] section
84 # it should now almost always find the windows partition and real-windows
85 # registry (if not, let me know)
86 # Aug 29 2002 - Rok Mandeljc <rok.mandeljc@gimb.org>
87 # -added two symlinks; windows/winhelp.exe and windows/winhlp32.exe because it seems
88 # that some apps look for winhlp32.exe/winhelp to display help
91 #--- defaults (change these if you are a packager)
92 CONFARGS="--enable-opengl" # configure args, e.g. --prefix=/usr --sysconfdir=/etc
93 prefix=/usr/local # installation prefix
94 sysconfdir=$prefix/etc # where wine.conf and global registry is supposed to be
95 bindir=$prefix/bin # where winelib apps will be (or is) installed
96 libdir=$prefix/lib # where libwine.so will be (or is) installed
97 exdir=documentation/samples # where the example system.ini resides
98 GCONF=$sysconfdir/wine.conf # default path of the wine.conf global config file
99 LCONF=~/.wine/config # default path of the local config file
100 BINDIST=no # whether called from a binary package config script
101 DOGLOBALCONF=auto # whether to autogenerate wine.conf
102 DOLOCALCONF=auto # whether to autogenerate localconf
103 DOWCHK=auto # whether to autoconfigure existing-windows installation
104 DOWINE=auto # whether to autoconfigure no-windows installation
105 DOREG=auto # whether to install default registry
106 DOAPP=auto # whether to install applications, distributed with Wine
107 SYSREG=yes # whether to make root's registry global (system-default)
108 CONVCONF=no # whether we are converting an existing .winerc or not
110 # "make install" still installs the dlls into $libdir, but this may change in the future
111 # (DLLPATH should point to them if/when they are not in standard ld.so paths)
112 DLLPATH=$libdir/wine # default path of the dll .so files (except libwine.so)
114 # having the Wine debugger launched automatically will be a plus for us
115 DEBUGGER=$bindir/winedbg # the (installed) path of winedbg
116 HDEBUGGER=debugger/winedbg # the (non-installed) path of winedbg
118 # this is only for existing-windows installs
119 WINECONF=tools/wineconf # the path of wineconf perl script
121 # this is only for no-windows installs
122 WINEINI=$exdir/config # the path of default wine config file (also used by wineconf)
123 WININI=/dev/null # the path of default win.ini
124 SYSTEMINI=$exdir/system.ini # the path of default system.ini
125 REGEDIT=$bindir/regedit # the path of regedit winelib application
126 DEFREG=winedefault.reg # the path of the registry file to be fed to regedit
127 # CROOT=/var/wine # the path of the fake Drive C (asks user if not set)
128 DEFCAT=cat # program to cat $DEFREG with (some packages need zcat)
129 #--- end of defaults
131 # temporary files used by the installer
132 TMPCONF=/tmp/wineinstall.conf
133 TMPREG=/tmp/wineinstall.reg
135 # functions
137 function std_sleep {
138 sleep 1
141 function conf_question {
142 # parameters: $1 = importance, $2 = question-id, $3+ = message lines
143 # the first two parameters can be used by e.g. debconf in debian packages
144 # but here we just print the message
145 shift 2
146 echo
147 local LINE="$1"
148 while shift
149 do {
150 echo "$LINE"
151 LINE="$1"
153 done
156 function conf_reset_question {
157 # parameters: $1 = question-id
158 # this is used to flush any cached answers and "already-displayed" flags
159 shift # dummy command
162 function conf_yesno_answer {
163 unset ANSWER
164 while [ "$ANSWER" != 'yes' ] && [ "$ANSWER" != 'no' ]
165 do {
166 echo -n "$1"
167 read ANSWER
169 done
172 function conf_string_answer {
173 echo -n "$1"
174 read ANSWER
177 function create_windows_directories {
178 for tdir in "$CROOT/windows" "$CROOT/windows/system" "$CROOT/windows/system32" \
179 "$CROOT/windows/Start Menu" "$CROOT/windows/Start Menu/Programs" \
180 "$CROOT/Program Files" "$CROOT/Program Files/Common Files" \
181 "$CROOT/windows/Profiles" "$CROOT/windows/Profiles/Administrator" \
182 "$CROOT/windows/Fonts" "$CROOT/windows/Start Menu/Programs/Startup"
183 do [ -d "$tdir" ] || mkdir "$tdir"
184 done
185 [ -f "$CROOT/windows/win.ini" ] || cp "$WININI" "$CROOT/windows/win.ini"
186 [ -f "$CROOT/windows/system.ini" ] || cp "$SYSTEMINI" "$CROOT/windows/system.ini"
189 #creates symbolic link in windows directory to installed winelib application
190 #parameters:
191 # - name of the installed winelib application
192 # - full path to application in the winelib directory
193 function link_app {
194 ln -sf $libdir/wine/$1.exe.so $2
197 #puts windows applications replacements to windows directories,
198 #configures them
199 function configure_wine_applications {
200 link_app regedit "$CROOT/windows/regedit.exe"
201 link_app uninstaller "$CROOT/windows/uninstall.exe"
202 link_app wcmd "$CROOT/windows/system32/cmd.exe"
203 link_app control "$CROOT/windows/system32/control.exe"
204 link_app winhelp "$CROOT/windows/system32/help.exe"
205 link_app notepad "$CROOT/windows/system32/notepad.exe"
206 link_app progman "$CROOT/windows/system32/progman.exe"
207 link_app regsvr32 "$CROOT/windows/system32/regsvr32.exe"
208 link_app winemine "$CROOT/windows/system32/winmine.exe"
209 link_app winver "$CROOT/windows/system32/winver.exe"
210 link_app winhelp "$CROOT/windows/winhelp.exe"
211 link_app winhelp "$CROOT/windows/winhlp32.exe"
214 # startup...
216 echo "WINE Installer v0.73"
217 echo
219 if [ "$BINDIST" = 'no' ]
220 then {
222 if ! [ -f configure ]
223 then {
224 echo "You're running this from the wrong directory."
225 echo "Change to the Wine source's main directory and try again."
226 exit 1
230 if [ `whoami` == 'root' ]
231 then {
232 echo "You are running wineinstall as root, this is not advisable. Please rerun as a user."
233 echo "Aborting."
234 exit 1
238 # check whether RPM installed, and if it is, remove any old wine rpm.
239 hash rpm &>/dev/null
240 RET=$?
241 if [ $RET -eq 0 ]; then
242 if [ -n "`rpm -qi wine 2>/dev/null|grep "^Name"`" ]; then
243 echo "Warning: Old Wine RPM install detected. Do you want to remove it first?"
244 conf_yesno_answer "(yes/no) "
245 if [ "$ANSWER" = 'yes' ]; then
246 echo "We need to remove the rpm as root, please enter your root password"
247 echo
248 echo Starting wine rpm removal...
249 su -c "rpm -e wine; RET=$?"
250 if [ $RET -eq 0 ]; then
251 echo Done.
252 else
253 echo "FAILED. Probably you aren't installing as root."
254 echo "Expect problems (library conflicts with existing install etc.)."
256 else
257 echo "Sorry, I won't install Wine when an rpm version is still installed."
258 echo "(Wine support suffered from way too many conflicts between RPM"
259 echo "and source installs)"
260 echo "Have a nice day !"
261 exit 1
266 # check whether wine binary still available
267 if [ -n "`which wine 2>/dev/null|grep '/wine'`" ]; then
268 echo "Warning !! wine binary (still) found, which may indicate"
269 echo "a (conflicting) previous installation."
270 echo "You might want to abort and uninstall Wine first."
271 std_sleep
274 # run the configure script, if necessary
276 if [ -f config.cache ] && [ -f Makefile ] && [ Makefile -nt configure ]
277 then {
278 echo
279 echo "I see that WINE has already been configured, so I'll skip that."
280 std_sleep
281 # load configure results
282 . ./config.cache
284 else {
285 echo "Running configure..."
286 echo
287 if ! ./configure -C $CONFARGS
288 then {
289 echo
290 echo "Configure failed, aborting install."
291 rm -f config.cache
292 exit 1
295 # load configure results
296 . ./config.cache
297 # make sure X was found
298 eval "$ac_cv_have_x"
299 if [ "$have_x" != "yes" ]
300 then {
301 echo "Install the X development headers and try again."
302 rm -f config.cache
303 exit 1
309 # now do the compilation and install, we need to always do this because we
310 # don't want the 'make install' command we might run to run 'make' as root
311 if [ `whoami` != 'root' ]
312 then {
313 # ask the user if they want to build and install wine
314 echo
315 echo "We need to install wine as root user, do you want us to build wine,"
316 echo "'su root' and install Wine? Enter 'no' to continue without installing"
317 conf_yesno_answer "(yes/no) "
319 if [ "$ANSWER" = "yes" ]
320 then {
321 # start out with the basic command
322 sucommand="make install"
324 # if the user doesn't have $libdir in their ld.so.conf add this
325 # to our sucommand string
326 if [ -f /etc/ld.so.conf ]
327 then
328 if ! grep -qs "$libdir" /etc/ld.so.conf
329 then {
330 echo
331 echo "$libdir doesn't exist in your /etc/ld.so.conf, it will be added"
332 echo "when we perform the install..."
333 sucommand="$sucommand;echo $libdir>>/etc/ld.so.conf"
336 # run ldconfig always just in case some updated files dont get linked
337 sucommand="$sucommand;$ac_cv_path_LDCONFIG"
340 echo
342 echo "Compiling WINE. Grab a lunch or two, rent a video, or whatever,"
343 echo "in the meantime..."
344 echo
345 std_sleep
347 # try to just make wine, if this fails 'make depend' and try to remake
348 if ! { make; }
349 then {
350 if ! { make depend && make; }
351 then {
352 echo
353 echo "Compilation failed, aborting install."
354 exit 1
359 echo
361 echo "Performing 'make install' as root to install binaries, enter root password"
363 std_sleep
365 if ! su root -c "$sucommand"
366 then {
367 echo
368 echo "Either you entered an incorrect password or we failed to run"
369 echo "'$sucommand' correctly."
370 echo "If you didn't enter an incorrect password then please report this"
371 echo "error and any steps to possibly reproduce it to"
372 echo "http://bugs.winehq.com/"
373 echo
374 echo "Installation failed, aborting."
375 exit 1
379 echo
381 # see if wine is installed on the users system, if not prompt them
382 # and then exit
383 if [ ! `which wine` ]
384 then
385 echo "Could not find wine on your system. Run wineinstall as root to install wine"
386 echo "before re-running wineinstall as a user."
387 echo
388 echo "Exiting wineinstall"
389 exit 1;
392 else {
393 # user didn't want to install wine so tell them about running from the
394 # current directory and set some stuff up for them
396 # setup to run from current directory
397 DLLPATH="$PWD/dlls"
398 if [ -z "$LD_LIBRARY_PATH" ]
399 then LD_LIBRARY_PATH="$PWD:$DLLPATH"
400 else LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$PWD:$DLLPATH"
402 export LD_LIBRARY_PATH
403 DEBUGGER="$PWD/$HDEBUGGER"
404 echo
405 echo "NOTE! To run Wine without installing, you must set the environment variable"
406 echo "LD_LIBRARY_PATH to $PWD:$DLLPATH"
407 echo "in your logon scripts."
408 echo
412 fi # [ `whoami` != 'root' ]
415 fi # BINDIST
417 # now check whether we should generate wine.conf
418 if [ -z "$DOGLOBALCONF" ]
419 then
420 DOGLOBALCONF=auto
423 if [ "$DOGLOBALCONF" = 'auto' ]
424 then {
425 # see if we already have a system wine.conf
426 if [ ! -f $GCONF ] && [ `whoami` = 'root' ]
427 then
428 DOGLOBALCONF=no
429 echo "Creation of a global config file is not supported in wineinstall at this"
430 echo "time. When the configuration architecture is cleaned up this functionality"
431 echo "will be restored to wineinstall."
432 echo
437 if [ "$DOLOCALCONF" = 'auto' ]
438 then {
439 # see if the user is root, if so, explicitly ask them if they want a
440 # local config file
441 if [ `whoami` = 'root' ]
442 then
443 echo "You are running as root. Do you want a local config file,"
444 echo "file, ~/.wine/config, created?"
445 conf_yesno_answer "(yes/no) "
446 DOLOCALCONF="$ANSWER"
447 else
448 # if the user has an existing config file ask them if they want us to
449 # overwrite it, otherwise just ask them if they want to create one
450 if [ -f "$LCONF" ]
451 then
452 echo "Found existing $LCONF, do you want to overwrite this"
453 echo "existing Wine configuration file?"
454 conf_yesno_answer "(yes/no) "
455 DOLOCALCONF="$ANSWER"
456 echo
457 if [ "$ANSWER" = "yes" ]
458 then
460 echo "Would you like to make a backup of this old config file?"
461 conf_yesno_answer "(yes/no) "
462 echo
463 if [ "$ANSWER" = "yes" ]
464 then
466 echo "Renaming $LCONF to $LCONF.old"
467 mv -f "$LCONF" "$LCONF.old"
468 echo
473 else
475 echo "Create local config file ~/.wine/config?"
476 conf_yesno_answer "(yes/no) "
477 DOLOCALCONF="$ANSWER"
478 echo
479 if [ "$ANSWER" = 'no' ]
480 then
481 conf_question high need_root \
482 "Aborting install. Try again as root to generate a system wine.conf."
483 exit 1
491 # generate $TMPCONF from existing windows install, if any
492 if [ "$DOLOCALCONF" = 'yes' ]
493 then {
494 if [ "$DOWCHK" = 'yes' ] || [ "$DOWCHK" = 'auto' ]
495 then {
496 echo -n "Searching for an existing Windows installation..."
497 if ! $WINECONF -inifile "$WINEINI" > $TMPCONF 2>/dev/null
498 then {
499 rm -f $TMPCONF $TMPREG > /dev/null
501 echo " not found. (no matching /etc/fstab mount entry found)"
502 conf_question low do_without_windows \
503 "Windows was not found on your system, so I assume you want" \
504 "a Wine-only installation. Am I correct?"
505 conf_yesno_answer "(yes/no) "
506 if [ "$ANSWER" = 'no' ]
507 then {
508 conf_question high windows_not_found \
509 "Aborting install. Make sure your Windows partition is mounted and try again," \
510 "or create $LCONF manually by copying from $WINEINI and adapting the drive paths."
511 exit 1
514 DOWINE=yes
516 else {
517 echo " found."
519 conf_reset_question windows_found
520 conf_question low windows_found \
521 "Created $LCONF using your existing Windows installation." \
522 "You probably want to review the file, though."
523 DOWINE=no
527 elif [ "$DOWINE" = 'auto' ]
528 then DOWINE=yes
531 elif [ "$DOWINE" = 'auto' ]
532 then
533 DOWINE=no
536 # setup a no-windows installation, if necessary
537 if [ "$DOWINE" = 'yes' ]
538 then {
539 # set an appropriate DCROOT
540 if [ `whoami` != 'root' ]
541 then DCROOT=~/c
542 else DCROOT=/c
545 if [ -f ~/.winerc ]
546 then {
547 conf_question medium convert_config \
548 "I found the old version Wine config file, .winerc, in your " \
549 "home directory. I can convert this to the new format or use the" \
550 "new default Wine config file. Convert?"
551 conf_yesno_answer "(yes/no) "
552 if [ "$ANSWER" = 'yes' ]
553 then {
554 WINEINI=~/.winerc
555 CONVCONF=yes
559 else {
561 conf_question low drivec_path \
562 "Configuring Wine without Windows." \
563 "Some fake Windows directories must be created, to hold any .ini files, DLLs," \
564 "start menu entries, and other things your applications may need to install." \
565 "Where would you like your fake C drive to be placed?"
566 while [ -z "$CROOT" ]
567 do {
568 conf_string_answer "(default is $DCROOT) "
569 [ -z "$ANSWER" ] && ANSWER="$DCROOT"
570 if ! [ -d "$ANSWER" ]
571 then {
572 if mkdir -p "$ANSWER"
573 then CROOT="$ANSWER"
574 else
575 echo "Directory $ANSWER can't be created !"
576 conf_reset_question drivec_path
579 else CROOT="$ANSWER"
582 done
583 echo "Configuring Wine for a no-windows install in $CROOT..."
585 create_windows_directories
586 configure_wine_applications
590 # create $LCONF using the default config file $WINEINI
591 if [ "$DOLOCALCONF" = 'yes' ] && [ "$CONVCONF" = 'no' ]
592 then {
593 sed "s|\"Path\" = \"/c\"\$|\"Path\" = \"${CROOT}\"|" $WINEINI > $TMPCONF
594 conf_reset_question default_config
595 conf_question low default_config \
596 "Created $LCONF using default Wine configuration." \
597 "You probably want to review the file, though."
601 # now we really should install the registry
602 if [ "$DOREG" = 'auto' ]
603 then DOREG=yes
607 echo
609 #install the local config file $LCONF
610 if [ "$DOLOCALCONF" = 'yes' ]
611 then
612 if [ ! -w ~/.wine ]
613 then
614 mkdir ~/.wine
617 if [ "$CONVCONF" = 'no' ]
618 then
619 cp $TMPCONF $LCONF > /dev/null
621 else
622 DOREG=no
625 #install the global config file $GCONF
626 if [ "$DOGLOBALCONF" = 'yes' ]
627 then
628 if [ ! -f $sysconfdir ]
629 then
630 mkdir -p $sysconfdir
633 cp $TMPCONF $GCONF > /dev/null
636 # check whether we need to install default registry
637 # (not to be done if windows registry exists)
638 if [ "$DOREG" = 'auto' ]
639 then {
640 CROOT=`sed -n '/^\[Drive C\]$/,/^\[.*\]$/ s/^\"Path\" = \"\(.*\)\"/\1/p' $LCONF`
641 echo "Checking for real Windows registry..."
642 if [ -f "$CROOT/windows/system.dat" ]
643 then DOREG=no
644 elif [ -f "$CROOT/windows/system32/config/system" ]
645 then DOREG=no
646 elif [ -f "$CROOT/WINNT/system32/config/system" ]
647 then DOREG=no
648 else DOREG=yes
650 if [ "$DOREG" = 'yes' ]
651 then echo "Not found, default Wine registry will be installed."
652 else echo "Windows registry found, will not install default Wine registry."
654 echo
658 # install default registry entries
659 if [ "$DOREG" = 'yes' ]
660 then {
661 if [ "$BINDIST" = 'no' ]
662 then {
663 echo "Compiling regedit..."
664 (cd programs/regedit; make)
665 echo
668 echo "Preparing to install default Wine registry entries..."
670 # edit config files so we don't have to run regedit under X
671 if [ "$CONVCONF" = 'yes' ]
672 then
673 mv $WINEINI $WINEINI.new
674 sed "s/GraphicsDriver=.*/GraphicsDriver=ttydrv/" $WINEINI.new > $WINEINI
675 else
676 mv $LCONF $LCONF.new
677 sed "s/\"GraphicsDriver\" = .*/\"GraphicsDriver\" = \"ttydrv\"/" $LCONF.new > $LCONF
680 # create a temporary wineinstall.reg with fixed debugger path
681 $DEFCAT $DEFREG | sed "s|debugger/winedbg|${DEBUGGER}|" > $TMPREG
683 echo "Installing default Wine registry entries..."
684 echo
685 if ! $REGEDIT $TMPREG > /dev/null
686 then {
687 rm -f $TMPREG
688 echo "Registry install failed."
689 conf_reset_question regedit_error
690 conf_question high regedit_error
691 exit 1
693 else {
694 # if we are converting from a .winerc file, running regedit once
695 # will ONLY convert .winerc -> ~/.wine/config, it will not import the
696 # registry data. so if we are converting we need to run regedit twice
697 if [ "$CONVCONF" = 'yes' ]
698 then
699 if ! $REGEDIT $TMPREG > /dev/null
700 then
701 rm -f $TMPREG
702 echo "Registry install failed."
703 conf_reset_question regedit_error
704 conf_question high regedit_error
705 exit 1
706 else
707 echo
708 echo "Registry entries successfully installed."
710 else
711 echo
712 echo "Registry entries successfully installed."
716 rm -f $TMPREG
717 if [ "$SYSREG" = 'auto' ]
718 then SYSREG=yes
721 # if we converted we need to change the graphics driver back and
722 # restore the original .winerc file
723 if [ "$CONVCONF" = 'yes' ]
724 then
725 mv $WINEINI.new $WINEINI
728 sed "s/\"GraphicsDriver\" = .*/\"GraphicsDriver\" = \"x11drv\"/" $LCONF > $LCONF.new
729 mv $LCONF.new $LCONF
733 # make root's registry global, if desired
734 if [ `whoami` = 'root' ] && [ "$DOREG" = 'yes' ] && [ "$SYSREG" = 'yes' ]
735 then {
736 [ -d ~/.wine ] || mkdir ~/.wine
737 if ! [ -f $sysconfdir/wine.userreg ]
738 then {
739 echo "Linking root's user registry hive to the global registry..."
740 [ -f ~/.wine/wine.userreg ] && cp ~/.wine/wine.userreg $sysconfdir/wine.userreg
741 ln -sf $sysconfdir/wine.userreg ~/.wine/wine.userreg
744 if ! [ -f $sysconfdir/wine.systemreg ]
745 then {
746 echo "Linking root's system registry hive to the global registry..."
747 [ -f ~/.wine/system.reg ] && cp ~/.wine/system.reg $sysconfdir/wine.systemreg
748 ln -sf $sysconfdir/wine.systemreg ~/.wine/system.reg
754 # cleanup any temporary files that may remain
755 if [ -f $TMPCONF ]
756 then rm -f $TMPCONF
758 if [ -f $TMPREG ]
759 then rm -f $TMPREG
763 # it's a wrap
764 echo
765 echo "Installation complete for now. Good luck (this is still alpha software)."
766 echo "If you have problems with WINE, please read the documentation first,"
767 echo "as many kinds of potential problems are explained there."
769 exit 0